#!/usr/bin/env node
'use strict';

var _process = _interopRequireDefault(require("process"));

var _commander = _interopRequireDefault(require("commander"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const version = require('../package.json').version;

_commander.default.version(version).usage('[options]').option('-b, --basefolder <path>', 'folder of git repository, default: ./').option('-t, --testfolder <path>', 'folder of test files, default: test').option('-e, --testfileextention <name>', 'extention of test files, default: test.js').option('-n, --newcommit <name>', 'new commit for comparison, default: HEAD~0').option('-o, --oldcommit <name>', 'old commit for comparison, default: HEAD~1').option('-r, --runner <name>', 'test runner, could be one of jest/mocha, not trigger runner if not specified').parse(_process.default.argv);

const funnel = require('../lib/api');

const config = {};
let exitCode = 0;

if (_commander.default.basefolder) {
  config.baseFolder = _commander.default.basefolder;
}

if (_commander.default.testfolder) {
  config.testFolder = _commander.default.testfolder;
}

if (_commander.default.testfileextention) {
  config.testFileExtention = _commander.default.testfileextention;
}

if (_commander.default.newcommit) {
  config.newCommit = _commander.default.newcommit;
}

if (_commander.default.oldcommit) {
  config.oldCommit = _commander.default.oldcommit;
}

if (_commander.default.runner) {
  config.runner = _commander.default.runner;
}

funnel(config);