"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.getBulkDependencies = getBulkDependencies;

var _madge = _interopRequireDefault(require("madge"));

var _path = _interopRequireDefault(require("path"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function getFileDependencies(file) {
  return (0, _madge.default)(file).then(res => {
    var array = Object.keys(res.obj());
    array.pop();
    return array.map(function (i) {
      return _path.default.join(file, '..', i);
    });
  });
}

function getBulkDependencies(files) {
  return Promise.all(files.map(file => getFileDependencies(file).then(out => new Promise((resolve, reject) => {
    resolve({
      [file]: out
    });
  }))));
}