"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.getDiffChangedFiles = getDiffChangedFiles;

var _util = _interopRequireDefault(require("util"));

var _util2 = require("./util.js");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const exec = _util.default.promisify(require('child_process').exec);

async function getDiffChangedFiles(testFolder, newCommit, oldCommit) {
  const cmd = (0, _util2.parse)('git --git-dir=%s/.git diff --name-only %s %s', testFolder, newCommit, oldCommit);
  const {
    stdout,
    stderr
  } = await exec(cmd);
  return stdout.trim().split(/\r?\n/);
}