"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.select = select;

var _util = require("./util.js");

var _diff = require("./diff.js");

var _dependency = require("./dependency.js");

async function select(config) {
  let changedFiles = await (0, _diff.getDiffChangedFiles)(config.baseFolder, config.newCommit, config.oldCommit);
  console.log("git changed files are: " + changedFiles);
  const testFiles = (0, _util.recFindByExt)(config.baseFolder + config.testFolder, config.testFileExtention);
  let fileDependencies = await (0, _dependency.getBulkDependencies)(testFiles);
  var selectedCaseFiles = [];
  var obj;

  for (obj of fileDependencies) {
    if ((0, _util.twoArrayOverlap)(changedFiles, obj[Object.keys(obj)[0]])) {
      selectedCaseFiles.push(Object.keys(obj)[0]);
    }
  }

  return selectedCaseFiles;
}