'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.recFindByExt = recFindByExt;
exports.parse = parse;
exports.twoArrayOverlap = twoArrayOverlap;

var _fs = _interopRequireDefault(require("fs"));

var _path = _interopRequireDefault(require("path"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function recFindByExt(base, ext, files, result) {
  var files = files || _fs.default.readdirSync(base);

  var result = result || [];
  files.forEach(function (file) {
    var newbase = _path.default.join(base, file);

    if (_fs.default.statSync(newbase).isDirectory()) {
      result = recFindByExt(newbase, ext, _fs.default.readdirSync(newbase), result);
    } else {
      if (file.substr(-1 * ext.length) == ext) {
        result.push(newbase);
      }
    }
  });
  return result;
}

function parse(str) {
  var args = [].slice.call(arguments, 1),
      i = 0;
  return str.replace(/%s/g, () => args[i++]);
}

function twoArrayOverlap(array1, array2) {
  var element1;
  var element2;

  for (element1 of array1) {
    for (element2 of array2) {
      if (element1 == element2) {
        return true;
      }
    }
  }

  return false;
}