'use strict';

var _util = require("../lib/util.js");

test('Parse int variable should be ok', () => {
  expect((0, _util.parse)("%s", 1)).toBe("1");
});
test('Parse string variable should be ok', () => {
  expect((0, _util.parse)("%s", "a")).toBe("a");
});
test('Parse multi variables should be ok', () => {
  expect((0, _util.parse)("%s%s", "a", 1)).toBe("a1");
});
test('Overlap arrays should return true', () => {
  expect((0, _util.twoArrayOverlap)([1], [1])).toBeTruthy();
});
test('NotOverlap arrays should return false', () => {
  expect((0, _util.twoArrayOverlap)([1], [0])).toBeFalsy();
});
test('twoArrayOverlap should work for empty arrays', () => {
  expect((0, _util.twoArrayOverlap)([], [])).toBeFalsy();
});